add 'closed' html class to closed issues in search results

2009-05-16 23:38 - Andrew Rudenko

Status: Closed Start date: 2009-05-16

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

search results display closed issues with a regular style. It would be great if those issues that are closed would also have the class

"closed" to make ability to be styled with line-through.

It could be done by adding following into the existing code (it is as I have implemented in my own instance):

+++ app/views/search/index.rhtml        (working copy)

@@ -26,7 +26,7 @@

     <h3><%= l(:label_result_plural) %> (<%= @results_by_type.values.sum %>)</h3>

     <dl id="search-results">

       <% @results.each do |e| %>

-        <dt class="<%= e.event_type %>"><%= content_tag('span', h(e.project), :class => 'project'

) unless @project == e.project %> <%= link_to highlight_tokens(truncate(e.event_title, 255), @toke

ns), e.event_url %></dt>

+        <dt class="<%= e.event_type %> <%= 'closed' if e.event_type.eql?('issue') && e.closed? %>

"><%= content_tag('span', h(e.project), :class => 'project') unless @project == e.project %> <%= l

ink_to highlight_tokens(truncate(e.event_title, 255), @tokens), e.event_url %></dt>

         <dd><span class="description"><%= highlight_tokens(e.event_description, @tokens) %></span

>

         <span class="author"><%= format_time(e.event_datetime) %></span></dd>

       <% end %>

 also .css should contain the proper style. I have following below:

dt.closed a { text-decoration: line-through; }

History

#1 - 2009-05-17 10:16 - Jean-Philippe Lang

- Status changed from New to Closed

Feature was added in r2256.

#2 - 2009-05-17 13:58 - Andrew Rudenko

Sorry for sent duplicated issue,

but I uses redmine code from 0.8-stable branch r2719 and there is no code provided in r2256.

#3 - 2009-05-22 14:20 - Andrew Rudenko

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

issue.rb in r2256 has following code:

http://www.redmine.org/projects/redmine/repository/revisions/2256/diff/trunk/app/models/issue.rb

43 :url => Proc.new {|o| {:controller => 'issues', :action => 'show', :id => o.id}}, 44 :type => Proc.new {|o| 'issue' + (o.closed? ? ' closed' : '') }

issue.rb from 0.8-stable branch are at r2761 and has missed line 44 from r2256:

http://www.redmine.org/projects/redmine/repository/revisions/2761/entry/tags/0.8.4/app/models/issue.rb

also there is no fix in application.css from 0.8-stable (

http://www.redmine.org/projects/redmine/repository/revisions/2651/entry/branches/0.8-stable/public/stylesheets/application.css)

2025-05-02 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/2256
https://www.redmine.org/projects/redmine/repository/svn/revisions/2719
https://www.redmine.org/projects/redmine/repository/svn/revisions/2256
https://www.redmine.org/projects/redmine/repository/svn/revisions/2256
http://www.redmine.org/projects/redmine/repository/revisions/2256/diff/trunk/app/models/issue.rb
https://www.redmine.org/projects/redmine/repository/svn/revisions/2761
https://www.redmine.org/projects/redmine/repository/svn/revisions/2256
http://www.redmine.org/projects/redmine/repository/revisions/2761/entry/tags/0.8.4/app/models/issue.rb
http://www.redmine.org/projects/redmine/repository/revisions/2651/entry/branches/0.8-stable/public/stylesheets/application.css


the fix from r2256 for application.css was following:

http://www.redmine.org/projects/redmine/repository/revisions/2256/diff/trunk/public/stylesheets/application.css

#4 - 2011-11-26 14:42 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution set to Fixed
